#include<bits/stdc++.h>
#define int long long
using namespace std;
int a[5000],b[5000],tim[3030][3030];
int mxa(int l,int r){
	int maxx=0;
	for(int i=l;i<=r;i++)maxx=max(maxx,a[i]);
	return maxx;
}
int mxb(int l,int r){
	int maxx=0;
	for(int i=l;i<=r;i++)maxx=max(maxx,b[i]);
	return maxx;
}
signed main(){
	freopen("match.in","r",stdin);
	freopen("match.out","w",stdout);
	int T,n;
	cin>>T>>n;
	for(int i=1;i<=n;i++)cin>>a[i];
	for(int i=1;i<=n;i++)cin>>b[i];
	int q,ans=0;
	cin>>q;
	int l,r;
	for(int i=1;i<=q;i++){
		cin>>l>>r;
		for(int j=l;j<=r;j++){
			for(int k=j;k<=r;k++){
				ans+=mxa(j,k)*mxb(j,k);
			}
		}
	}
	cout<<ans;
	return 0;
}
